Bug 388591 - oops in prune_dcache()
oops in prune_dcache()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-17 12:44 EST by David Woodhouse
Modified: 2008-09-20 15:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-20 15:32:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2007-11-17 12:44:10 EST
Unable to handle kernel paging request for data at address 0x00000000
Faulting instruction address: 0xc00ae554
Oops: Kernel access of bad area, sig: 11 [#1]
PowerMac
Modules linked in: b43(U) vfat(U) fat(U) nfs(U) lockd(U) nfs_acl(U) sunrpc(U)
sg(U) sd_mod(U) usb_storage(U) scsi_mod(U) ftdi_sio(U) usbserial(U) 
hidp(U) radeon(U) drm(U) hci_usb(U) rfcomm(U) l2cap(U) bluetooth(U) ipv6(U)
dm_mirror(U) dm_mod(U) therm_adt746x(U) snd_aoa_i2sbus(U) arc4(U) ecb(
U) blkcipher(U) snd_powermac(U) snd_seq_dummy(U) rc80211_simple(U)
snd_seq_oss(U) snd_seq_midi_event(U) snd_seq(U) snd_seq_device(U) b43legacy(U) 
snd_pcm_oss(U) pmac_zilog(U) snd_mixer_oss(U) mac80211(U) snd_pcm(U) ide_cd(U)
cdrom(U) cfg80211(U) snd_timer(U) snd_page_alloc(U) snd(U) soundcor
e(U) snd_aoa_soundbus(U) firewire_ohci(U) firewire_core(U) crc_itu_t(U)
sungem(U) sungem_phy(U) ssb(U) ext3(U) jbd(U) mbcache(U) uhci_hcd(U) ohci_
hcd(U) ehci_hcd(U)
NIP: c00ae554 LR: c00ae4ec CTR: 0000005c
REGS: c1cc1e20 TRAP: 0300   Not tainted  (2.6.23.1-42.fc8)
MSR: 00009032 <EE,ME,IR,DR>  CR: 24000024  XER: 20000000
DAR: 00000000, DSISR: 42000000
TASK = cfd9eda0[120] 'kswapd0' THREAD: c1cc0000
GPR00: c00ae4ec c1cc1ed0 cfd9eda0 c0d1cccc c0402164 c0402164 e1e24824 00000000 
GPR08: 000020e8 c0400000 00000000 c0402164 00905600 00000000 00000000 00000000 
GPR16: 00000000 00000000 00000000 c1cc1f48 00000000 00000000 00000000 000387fb 
GPR24: 00000000 000387fb 00000100 00000001 0000005c 00000000 c0402138 d9adb40c 
NIP [c00ae554] prune_dcache+0x94/0x1a8
LR [c00ae4ec] prune_dcache+0x2c/0x1a8
Call Trace:
[c1cc1ed0] [c00ae4ec] prune_dcache+0x2c/0x1a8 (unreliable)
[c1cc1ef0] [c00ae694] shrink_dcache_memory+0x2c/0x5c
[c1cc1f00] [c007b2f4] shrink_slab+0x128/0x1c8
[c1cc1f40] [c007b8d8] kswapd+0x2a4/0x3ec
[c1cc1fd0] [c004a948] kthread+0x4c/0x88
[c1cc1ff0] [c0013970] kernel_thread+0x44/0x60
Instruction dump:
409effe8 48000014 3d20c040 39292164 7f834800 419e011c 81430004 3d20c040 
81630000 38892164 914b0004 90630004 <916a0000> 90630000 80040004 2f800000 
Unable to handle kernel paging request for data at address 0x00000004
Faulting instruction address: 0xc00ae53c
Oops: Kernel access of bad area, sig: 11 [#2]
PowerMac
Modules linked in: b43(U) vfat(U) fat(U) nfs(U) lockd(U) nfs_acl(U) sunrpc(U)
sg(U) sd_mod(U) usb_storage(U) scsi_mod(U) ftdi_sio(U) usbserial(U) 
hidp(U) radeon(U) drm(U) hci_usb(U) rfcomm(U) l2cap(U) bluetooth(U) ipv6(U)
dm_mirror(U) dm_mod(U) therm_adt746x(U) snd_aoa_i2sbus(U) arc4(U) ecb(
U) blkcipher(U) snd_powermac(U) snd_seq_dummy(U) rc80211_simple(U)
snd_seq_oss(U) snd_seq_midi_event(U) snd_seq(U) snd_seq_device(U) b43legacy(U) 
snd_pcm_oss(U) pmac_zilog(U) snd_mixer_oss(U) mac80211(U) snd_pcm(U) ide_cd(U)
cdrom(U) cfg80211(U) snd_timer(U) snd_page_alloc(U) snd(U) soundcor
e(U) snd_aoa_soundbus(U) firewire_ohci(U) firewire_core(U) crc_itu_t(U)
sungem(U) sungem_phy(U) ssb(U) ext3(U) jbd(U) mbcache(U) uhci_hcd(U) ohci_
hcd(U) ehci_hcd(U)
NIP: c00ae53c LR: c00ae4ec CTR: 00000080
REGS: e1c6fbf0 TRAP: 0300   Tainted: G      D  (2.6.23.1-42.fc8)
MSR: 00009032 <EE,ME,IR,DR>  CR: 24002824  XER: 20000000
DAR: 00000004, DSISR: 40000000
TASK = cfd9eda0[18805] 'ld.so.1' THREAD: e1c6e000
GPR00: c00ae4ec e1c6fca0 cfd9eda0 00000000 00000000 00000001 0000000c 00000000 
GPR08: 000020ea c0402164 00000000 c0402164 00484400 10131a00 20030634 20030008 
GPR16: 000ab8e4 00000000 00000003 00000000 2002f6d0 000a00d2 000a00d2 0003893c 
GPR24: c0401a60 0003893c 00000080 00000001 00000080 00000000 0000008c c0402150 
NIP [c00ae53c] prune_dcache+0x7c/0x1a8
LR [c00ae4ec] prune_dcache+0x2c/0x1a8
Call Trace:
[e1c6fca0] [c00ae4ec] prune_dcache+0x2c/0x1a8 (unreliable)
[e1c6fcc0] [c00ae694] shrink_dcache_memory+0x2c/0x5c
[e1c6fcd0] [c007b2f4] shrink_slab+0x128/0x1c8
[e1c6fd10] [c007bc18] try_to_free_pages+0x154/0x228
[e1c6fd60] [c007608c] __alloc_pages+0x194/0x2a4
[e1c6fdb0] [c007db1c] __do_fault+0x140/0x788
[e1c6fe10] [c02d7510] do_page_fault+0x394/0x510
[e1c6ff40] [c0012e38] handle_page_fault+0xc/0x80
--- Exception: 301 at 0x20019f54
    LR = 0x2000738c
Instruction dump:
80630004 4240001c 7f835800 419e013c 80030028 7f80e800 409effe8 48000014 
3d20c040 39292164 7f834800 419e011c <81430004> 3d20c040 81630000 38892164
Comment 1 Dennis Gilmore 2007-11-17 12:47:13 EST
*** Bug 388611 has been marked as a duplicate of this bug. ***
Comment 2 Christopher Brown 2008-02-13 17:28:51 EST
Hello David,

Kernel bug triaging blah blah blah...

Are you still seeeing this?

Comment 3 David Nalley 2008-09-20 15:32:59 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.